Changeset 13964


Ignore:
Timestamp:
Nov 6, 2019 10:59:49 AM (2 weeks ago)
Author:
tgutzmann
Message:

[ci skip] Eclipse: use Java 1.8 execution environment

Location:
trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/.classpath

    r12981 r13964  
    3030    <classpathentry kind="src" path="Compiler/ModelicaCompiler/src/resources"/>
    3131    <classpathentry kind="src" path="Compiler/ModelicaCompiler/src/java"/>
    32     <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER">
     32    <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8">
    3333        <attributes>
    3434            <attribute name="module" value="true"/>
  • trunk/.settings/org.eclipse.jdt.core.prefs

    r13444 r13964  
    99org.eclipse.jdt.core.compiler.annotation.nullable.secondary=
    1010org.eclipse.jdt.core.compiler.annotation.nullanalysis=disabled
     11org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
     12org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
     13org.eclipse.jdt.core.compiler.compliance=1.8
    1114org.eclipse.jdt.core.compiler.doc.comment.support=enabled
    1215org.eclipse.jdt.core.compiler.problem.APILeak=warning
    1316org.eclipse.jdt.core.compiler.problem.annotationSuperInterface=warning
     17org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
    1418org.eclipse.jdt.core.compiler.problem.autoboxing=ignore
    1519org.eclipse.jdt.core.compiler.problem.comparingIdentical=error
     
    2024org.eclipse.jdt.core.compiler.problem.discouragedReference=warning
    2125org.eclipse.jdt.core.compiler.problem.emptyStatement=error
     26org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
    2227org.eclipse.jdt.core.compiler.problem.explicitlyClosedAutoCloseable=warning
    2328org.eclipse.jdt.core.compiler.problem.fallthroughCase=error
     
    114119org.eclipse.jdt.core.compiler.problem.unusedWarningToken=warning
    115120org.eclipse.jdt.core.compiler.problem.varargsArgumentNeedCast=warning
     121org.eclipse.jdt.core.compiler.source=1.8
Note: See TracChangeset for help on using the changeset viewer.